:root {
  --main-color: #363636;
  --border-color: #acacac;
}

/* general */
.step-title{
  font-size: 20px;
  font-weight: 500;
  text-align: center;
  color: var(--main-color);
  margin-bottom: 20px;
}

.button.custom-button{
  padding: 12px 20px;
}

@media (min-width: 768px) {
  .step-form-wrapper .without-padding-left {
    padding-left: 0;
  }

  .choose-model-form .without-padding-right {
    padding-right: 0;
  }
}

@media (max-width: 767px){
  .ajax-progress.ajax-progress-throbber{
    display: block;
    position: absolute;
    bottom: 50px;
    left: 10px;
  }
}

/* change radio buttons style */
[type="radio"]:checked,
[type="radio"]:not(:checked) {
  position: absolute;
  left: -9999px;
}
[type="radio"]:checked + label,
[type="radio"]:not(:checked) + label
{
  position: relative;
  padding-left: 40px;
  cursor: pointer;
  line-height: 20px;
  display: inline-block;
  color: var(--main-color);
}
[type="radio"]:checked + label:before,
[type="radio"]:not(:checked) + label:before {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 30px;
  height: 30px;
  border: 1px solid #ddd;
  border-radius: 100%;
  background: #fff;
  vertical-align: middle;
}
[type="radio"]:checked + label:after,
[type="radio"]:not(:checked) + label:after {
  content: '';
  width: 15px;
  height: 15px;
  background: var(--main-color);
  position: absolute;
  top: 13%;
  left: 7px;
  border-radius: 100%;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}
[type="radio"]:not(:checked) + label:after {
  opacity: 0;
  -webkit-transform: scale(0);
  transform: scale(0);
}
[type="radio"]:checked + label:after {
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1);
}


/* step one */
.choose-model-validated-group .form-item{
  margin-bottom: 0;
  margin-top: 10px;
}

.form-item-purchase-date.js-form-item-purchase-date{
  margin: 20px 0;
}

.form-item-purchase-date label{
  display: inline-block;
  font-size: inherit;
  font-weight: bold;
  text-transform: uppercase;
}

.form-item-purchase-date .form-date{
  font-size: 17px;
  display: inline-block;
  width: 100%;
  padding: 10px 15px;
  border: 1px solid var(--border-color);
  border-radius: 4px;
}

.checkboxes-field .fieldgroup legend{
  border: none;
}

.checkboxes-field .fieldset-wrapper .form-item .form-radio,
.checkboxes-field .fieldset-wrapper .form-item .option{
  cursor: pointer;
}

@media (min-width: 768px){
  .form-item-purchase-date label{
    width: 30%;
  }

  .form-item-purchase-date .form-date{
    width: 69%;
  }

  .checkboxes-field .fieldset-wrapper .form-item{
    display: inline-block;
    margin-right: 15%;
  }
}

 /* banner */
.step-one-banner {
  max-width: 655px;
  display: flex;
  background-color: #951244;
  padding: 20px 20px;
  margin: 0 auto;
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}

.step-one-banner div {
  flex: 0 0 50%;
  box-sizing: border-box;
}

.step-one-banner div p,
.step-one-banner div strong {
  font-size: 16px;
  line-height: 1.4;
  margin: 0;
  padding: 0;
}

.step-one-banner__left {
  color: #ffffff;
  padding-right: 10px;
}

.step-one-banner .step-one-banner__left p,
.step-one-banner .step-one-banner__left strong {
  color: #ffffff;
}

.step-one-banner__left {
  color: #ffffff;
  padding-right: 10px;
}

.step-one-banner__right {
  background-color: #DDDDDD;
  padding: 10px 10px;
}

.step-one-banner .step-one-banner__right p,
.step-one-banner .step-one-banner__right strong {
  color: #000000;
}

/* step two */
.postcode-button-wrapper .postcode-button{
  padding: 10px 23px;
  margin: 10px 0;
  line-height: 27px;
}

.left-column select,
.right-column select{
  margin: 0;
}

@media (max-width: 767px){
  div.postcode-field{
    padding: 0;
  }
}

/* step three */
.step-three-checkbox-field{
  text-align: center;
  margin-bottom: 40px;
}

.step-three-checkbox-field:after {
  content: '';
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
  width: 44%;
  display: block;
  margin-left: 28%;
}

.step-three-checkbox-field .form-item{
  margin-top: 0;
}

.step-three-checkbox-field .form-item-signup-checkbox-rg-appliances,
.step-three-checkbox-field .form-item-signup-checkbox-rg-sinks-taps,
.step-three-checkbox-field .form-item-signup-checkbox-rg-cookware {
  text-align: left;
}

.step-three-checkbox-field .form-item label{
  font-weight: 500;
}

.step-three-checkbox-field .form-item label,
.step-three-checkbox-field .form-item input{
  cursor: pointer;
}

@media (max-width: 767px){
  .button.custom-button{
    width: 100%;
    font-size: 16px;
  }

  input.validate-serial-number.custom-button.button{
    margin-left: 0;
  }
}

.close-popup-form select {
  display: none;
}